using System;
using System.Data;
using System.Configuration;
using System.Drawing;

namespace ImageTemplateNet
{
    /// <summary>
    /// Summary description for ImageTemplateConfig
    /// </summary>
    public class ShapeElementConfig : ElementConfig
    {
        public ShapeElementConfig(ElementConfig parent)
            : base(parent)
        {
        }

        public override ElementConfig Clone()
        {
            ShapeElementConfig config = new ShapeElementConfig(ParentElement);
            config.Id = Id;
            config.X = X;
            config.Y = Y;
            config.Width = Width;
            config.Height = Height;
 
            return config;
        }

    }
}